package ru.yandex.webmaster3.api.http.rest.request;

import ru.yandex.webmaster3.core.http.request.RequestId;

/**
 * @author avhaliullin
 */
public abstract class ApiRequest<Locator> {
    private Locator locator;
    private long authorizedUserId;
    private RequestId balancerRequestId;

    public void setAuthorizedUserId(long authorizedUserId) {
        this.authorizedUserId = authorizedUserId;
    }

    public long getAuthorizedUserId() {
        return authorizedUserId;
    }

    public Locator getLocator() {
        return locator;
    }

    public void setLocator(Locator locator) {
        this.locator = locator;
    }

    public RequestId getBalancerRequestId() {
        return balancerRequestId;
    }

    public void setBalancerRequestId(RequestId balancerRequestId) {
        this.balancerRequestId = balancerRequestId;
    }
}
